Package org.apache.sysds.runtime.compress.workload

## Class WorkloadAnalyzer

- java.lang.Object
- - org.apache.sysds.runtime.compress.workload.WorkloadAnalyzer

    public class WorkloadAnalyzer
    extends Object

### Field Summary

Fields
`static boolean` `ALLOW_INTERMEDIATE_CANDIDATES`
`static boolean` `PRUNE_COMPRESSED_INTERMEDIATES`

### Method Summary

All Methods Static Methods Concrete Methods
`static Map<Long,​WTreeRoot>` `getAllCandidateWorkloads​(DMLProgram prog)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALLOW_INTERMEDIATE_CANDIDATES

    public static boolean ALLOW_INTERMEDIATE_CANDIDATES

#### PRUNE_COMPRESSED_INTERMEDIATES

    public static boolean PRUNE_COMPRESSED_INTERMEDIATES

### Method Detail

#### getAllCandidateWorkloads

    public static Map<Long,​WTreeRoot> getAllCandidateWorkloads​(DMLProgram prog)